#### SYSOUT

#### Synopsis

    HELP:   SYSOUT specification (only for z/OS)
    TYPE:   OBJECT
    SYNTAX: SYSOUT(CLASS='str',WRITER='str',DSTRWS='str',DSTUID='str',HLDQUE,FORMAT.{})

#### Description

The SYSOUT specification object can be used to allocate a SYSOUT class (only one character) and (if required) a SYSOUT program (at most 8 characters) on platforms like z/OS®.

       SYSOUT(CLASS='*')
       SYSOUT(CLASS='A' writer='CSSMTP')
       SYSOUT()
       SYSOUT(FORMAT.MAIL(FROM='sender@mail.com' TO='receiver@mail.com'))

The default value for SYSOUT is class '*' and no writer. If SYSOUT is specified, other allocation parameters (filename, DCBs) are ignored. Depending on the format, the default class and writer could be different.

The remaining parameter supports text units to re-direct the SYSOUT to other LPARs or to the hold queue.

#### Arguments

- `STRING: CLASS='str' - The class of the system output data set [DEFAULT]`
- `STRING: WRITER='str' - Program name for the system output data set [auto]`
- `STRING: DSTRWS='str' - Remote work station specification [NONE]`
- `STRING: DSTUID='str' - Destination user ID for redirection [NONE]`
- `SWITCH: HLDQUE - Redirection to hold queue [FALSE]`